Bug 845408 - [abrt] sound-juicer-3.4.0-2.fc16: profile_changed_cb: Process /usr/bin/sound-juicer was killed by signal 11 (SIGSEGV)
[abrt] sound-juicer-3.4.0-2.fc16: profile_changed_cb: Process /usr/bin/sound-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:5207192f591644245e07520c91a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 21:46 EDT by Philip Imants Long
Modified: 2013-07-31 16:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.90 KB, text/plain)
2012-08-02 21:47 EDT, Philip Imants Long
no flags Details
File: maps (44.23 KB, text/plain)
2012-08-02 21:47 EDT, Philip Imants Long
no flags Details
File: backtrace (42.00 KB, text/plain)
2012-08-02 21:47 EDT, Philip Imants Long
no flags Details

  None (edit)
Description Philip Imants Long 2012-08-02 21:46:54 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        sound-juicer
comment:        I had a multi disc problem.  I googled.  I learned that MusicBrainz f*cked their community, including sound-juicer.  F17 broke ripping for me so I reverted to 16.  Built libmusicbrainz4 and sound-juicer3.4 from rawhide.  Got core dump.  Now wondering if being a slave to iTunes is better than this.
crash_function: profile_changed_cb
executable:     /usr/bin/sound-juicer
kernel:         3.4.4-4.fc16.x86_64
pid:            15282
pwd:            /home/plong
time:           Thu 02 Aug 2012 09:42:08 PM EDT
uid:            1000
username:       plong

backtrace:      Text file, 43007 bytes
dso_list:       Text file, 9118 bytes
maps:           Text file, 45296 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fc8df5efad8976eba0eebe467ef8736055391e68
:89017ab0b75e533e4294f74ee8f7db3daceea536
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:a70947162966aa69c7ac92b53dcd9e6748cffe35
:3ba5302e34546a45e9a85ac3429e7bc6ed624011
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:6ba9409fb9f58785e255d94fc533fbf1d1fe35fd
:edebfad67bdac472272d049dc7ec302f47b02f32
:6788b943089846e98f7dc9cdb5dca63924909b25
:aaf62304b0fc10611d35b4f56005479d4c58868d
:f9fea7527e0deebd694acc251008975312a3f74a
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:400444fb368f79b54959b083f449a1497bf71c13
:5954d7bfe38b223be907cd2041fd537129ba4254
:b1eabdd6f67f63acd5e36164337202a692fedfc3
:14063d4a97bae5e96c07a1a7c0e6ca5c982839f3
:124bfd663f5587288e6e0da8497fb4153469e657
:9ea81971c14b711655ced0a734db062ab7c4eec7
:9db4e5fd24f3ebecbfd28027c817d1bd55be5277
:37c84b700d36cedd486ab4259d4fb8cd34eb0d6b
:545fac2346ca24589041213956b7f22f7e91c139
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:a42ac1d90bf7ea4aac6ff80e4d390055146e1889
:399acd228adedc75aae4d2e35d1e7c26aa7089f3
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:a47e3764e7de48ace1ecfcfd8c2e0c49bd8cf1a3
:f0d50e3af2dfee021a327fb85a993a2312a98145
:82cd42a582539e4f3e07b27c66dc881b8c975e55
:3afcef19b83b4d703cf89db41982aabaa2d1618b
:71e88081597f774643f451d5c67e72307d55a961
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:58803db420709341d8e6a713b18e54a6e1824272
:2f571a95fe3d5ae2df9bdd93328310299d7629a6
:be507c791e34415e8f42f0e6030c889b2895cf9a
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:c6739204320eb15bdcdba039a2b183298170403e
:bdd00588b0bbabda16daa5bb44d6b1ef19265d21
:fc684ef0fc723dcb68a88799b8fb98e68e5f7441
:3e08f14ed2767ff642c7477a25b63214050e42cb
:f2e24eed69cdecfdc16ed844c315a295459441ff
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:e6540f84b942e333b891c970ee92efcc5913c0b2
:39294193f046cf15442542705526228c60d70a6e
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:1c6a95451ee19617be5abea3d121f0226d21ddda
:a638ccc3535e307dfbe8338df04ee414b42a606c
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:f8f4d8e260ee8f3b262936920270ace01b2da537
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:578e66700318d8cec8e5f03778c434743a55e153
:c33244f1d5bb3e0cfb8665c7408e934082cad015
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:163b323da65b708418226eb5fa8b057c731d1475
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:9d20d242629550e9163cb7f67470408772a0abc4
:e60ae8062b44e0d758b5f92c8f9958a06236179b
:4c842320387ff7f6f91b7842b223c16518be909f
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:61607ff6cf0f329321eb54ead7ef8e92fb8d9097
:75eaece6e0d1e075520cdfad5c398fdab4370846
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:07470201df55a5254027d05fa4dc509b10f2986a
:3bbe4d98714c66cda2944cd39900eea5d348df18
:87af0ff2815bf41b5c5889b916881c662ddd2569
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:b16b9e8cbdabffb16ea4140ce301cbd212be02ef
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:2670385f49fb9f120f7cf843f211e3c620da8632
:ff612f4ef760d0f3e25903a8ded9165a26a6341d
:9efd824bf587def50099e2ae657a5cce012fa658
:e05737728ab732fe7f2fdded4b50aaf4e9463997
:719a85c49c612de86619fed98146f316432aee92
:20e57e75d5566ba8d0fd5fb3a767bd5bf32900bc
:5393d882ce329cabe4ddf6bedaef1cc906664889
:350285d7b5edc1c98cc7774fbf70fbf40de8c611
:4953d1f613914126bccceb3cb96386647ffba9df
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:1e0de72c7f10f33e0ee489a9a32c4e4f01902580
:debd77c5edb1a46588d7cf80aca3ef2641f518a2
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:1406558950ff100eb0320a325b3ea7961ba1a775
:984f117c0514d018adfbf8296f77ae333cd80640
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=maple.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-DqeZL0/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=56a246b47939361244e4eba90000000c-1343954478.926015-1425433749
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=35654202
:OLDPWD=/home/plong/rpmbuild/RPMS/x86_64
:GNOME_KEYRING_CONTROL=/tmp/keyring-DqeZL0
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=plong
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-DqeZL0/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1395,unix/unix:/tmp/.ICE-unix/1395
:USERNAME=plong
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/plong/.local/bin:/home/plong/bin
:MAIL=/var/spool/mail/plong
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/plong
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1389
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/plong
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=plong
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-SlEs8sK1vp,guid=efaf0d7dd6a81423e8182728000000b4
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/plong
:DISPLAY=:0
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-plong-JNV71q/database
:_=/usr/bin/sound-juicer

gconf_subtree:
: paranoia = 8
: path_pattern = %aa/%at
: strip-special = false
: window_height = 887
: device = (no value set)
: musicbrainz_server = (no value set)
: file_pattern = %dn - %tt
: window_width = 1273
: window_maximized = false
: volume = 1
: open_completed = true
: base_path = (no value set)
: eject = true
: base_uri = file:///storage/music/flac
: audio_profile = cdlossless

smolt_data:
:
:
:General
:=================================
:UUID: c2efa9cc-06ff-4fbb-a515-69454eee18b0
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5826.85
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) II X2 245 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2900
:System Memory: 3448
:System Swap: 5503
:Vendor: Gigabyte Technology Co., Ltd.
:System: GA-MA785GM-US2H 
:Form factor: Desktop
:Kernel: 3.4.4-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38409:4130:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:40962) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:38672:5208:53248) pci, radeon, VIDEO, RS880 [Radeon HD 4200]
:(4098:38671:5208:38415) pci, snd_hda_intel, MULTIMEDIA, RS880 Audio Device [Radeon HD 4200]
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_maple-lv_root / ext4 4096 4096 13081025 11385901 10730541 3276800 3065903 3065903
:/dev/sda2 /boot ext4 1024 1024 508644 435518 409918 128016 127791 127791
:/dev/mapper/vg_maple-lv_home /home ext4 4096 4096 107322452 104159350 98787037 26861568 26858290 26858290
:

var_log_messages:
:Aug  2 21:41:33 maple yum[15266]: Installed: sound-juicer-debuginfo-3.4.0-2.fc16.x86_64
:Aug  2 21:41:35 maple yum[15266]: Updated: sound-juicer-3.4.0-2.fc16.x86_64
:Aug  2 21:42:08 maple kernel: [ 3864.809896] sound-juicer[15282]: segfault at 0 ip 000000000041138d sp 00007fff93c5ba50 error 4 in sound-juicer[400000+29000]
:Aug  2 21:42:08 maple abrt[15297]: Saved core dump of pid 15282 (/usr/bin/sound-juicer) to /var/spool/abrt/ccpp-2012-08-02-21:42:08-15282 (108855296 bytes)

xsession_errors:
:(sound-juicer:1767): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(sound-juicer:1767): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:** (sound-juicer:1767): WARNING **: Widget (GtkEntry) has more than one label
:(sound-juicer:2410): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(sound-juicer:2410): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:** (sound-juicer:2410): WARNING **: Widget (GtkEntry) has more than one label
Comment 1 Philip Imants Long 2012-08-02 21:47:00 EDT
Created attachment 602045 [details]
File: dso_list
Comment 2 Philip Imants Long 2012-08-02 21:47:02 EDT
Created attachment 602046 [details]
File: maps
Comment 3 Philip Imants Long 2012-08-02 21:47:03 EDT
Created attachment 602047 [details]
File: backtrace
Comment 4 Bill Peck 2012-10-19 16:45:48 EDT
First time launching sound-juicer after installing Fedora-17.  This is using my home directory that I had under Fedora-16.

backtrace_rating: 4
Package: sound-juicer-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-03 16:40:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 16:53:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.